Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## vutbr.checkers.game
Enum Game.GameColor

    java.lang.Object
      java.lang.Enum<Game.GameColor>
          vutbr.checkers.game.Game.GameColor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Game.GameColor>

Enclosing class:
  Game

    public static enum Game.GameColor

extends java.lang.Enum<Game.GameColor>

Enum Constant Summary
`BLACK`
`WHITE`

Method Summary
`static Game.GameColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Game.GameColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLACK

    public static final Game.GameColor BLACK

### WHITE

    public static final Game.GameColor WHITE

Method Detail

### values

    public static Game.GameColor[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Game.GameColor c : Game.GameColor.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Game.GameColor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD